<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_LossesOnLeaseModifications" xlink:label="fimbank_LossesOnLeaseModifications" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_AdjustmentsForLoansAndAdvancesToCustomersAndBanks" xlink:label="fimbank_AdjustmentsForLoansAndAdvancesToCustomersAndBanks" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_NetGainFromOtherFinancialInstrumentsCarriedAtFairValue" xlink:label="fimbank_NetGainFromOtherFinancialInstrumentsCarriedAtFairValue" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_ProceedsToAcquireFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" xlink:label="fimbank_ProceedsToAcquireFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_TransferBetweenReserves" xlink:label="fimbank_TransferBetweenReserves" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_OperatingIncomeBeforeNetImpairment" xlink:label="fimbank_OperatingIncomeBeforeNetImpairment" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_NetMovementsInDebtSecurities" xlink:label="fimbank_NetMovementsInDebtSecurities" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_AdjustmentsForAmountsOwedToCustomersAndBanks" xlink:label="fimbank_AdjustmentsForAmountsOwedToCustomersAndBanks" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_ReserveForGeneralBankingRisksMember" xlink:label="fimbank_ReserveForGeneralBankingRisksMember" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_PaymentsToAcquireSharesInSubsidiaryCompaniesClassifiedAsInvestingActivities" xlink:label="fimbank_PaymentsToAcquireSharesInSubsidiaryCompaniesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="fimbank_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_NetCashGeneratedFromOperatingActivitiesBeforeIncomeTax" xlink:label="fimbank_NetCashGeneratedFromOperatingActivitiesBeforeIncomeTax" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_IncreaseDecreaseInCashAndCashEquivalentsBF" xlink:label="fimbank_IncreaseDecreaseInCashAndCashEquivalentsBF" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_IncreaseDecreaseInCashAndCashEquivalentsCF" xlink:label="fimbank_IncreaseDecreaseInCashAndCashEquivalentsCF" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_PaymentsToEmployeesAndSuppliers" xlink:label="fimbank_PaymentsToEmployeesAndSuppliers" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_ReserveForGeneralBankingRisks" xlink:label="fimbank_ReserveForGeneralBankingRisks" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_FairValueReserveMember" xlink:label="fimbank_FairValueReserveMember" />
    <loc xlink:type="locator" xlink:href="529900q2c3i7vcillg45-2021-12-31.xsd#fimbank_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="fimbank_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" />
    <labelArc xlink:type="arc" xlink:from="fimbank_ReserveForGeneralBankingRisks" xlink:to="label_fimbank_fimbankReserveForGeneralBankingRisks_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_NetGainFromOtherFinancialInstrumentsCarriedAtFairValue" xlink:to="label_fimbank_fimbankNetGainFromOtherFinancialInstrumentsCarriedAtFairValue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_LossesOnLeaseModifications" xlink:to="label_fimbank_fimbankLossesOnLeaseModifications_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_OperatingIncomeBeforeNetImpairment" xlink:to="label_fimbank_fimbankOperatingIncomeBeforeNetImpairment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_ReserveForGeneralBankingRisksMember" xlink:to="label_fimbank_ReserveForGeneralBankingRisksMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_FairValueReserveMember" xlink:to="label_fimbank_FairValueReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_TransferBetweenReserves" xlink:to="label_fimbank_fimbankTransferBetweenReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_PaymentsToEmployeesAndSuppliers" xlink:to="label_fimbank_fimbankPaymentsToEmployeesAndSuppliers_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_AdjustmentsForLoansAndAdvancesToCustomersAndBanks" xlink:to="label_fimbank_fimbankAdjustmentsForLoansAndAdvancesToCustomersAndBanks_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_AdjustmentsForAmountsOwedToCustomersAndBanks" xlink:to="label_fimbank_fimbankAdjustmentsForAmountsOwedToCustomersAndBanks_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_NetCashGeneratedFromOperatingActivitiesBeforeIncomeTax" xlink:to="label_fimbank_fimbankNetCashGeneratedFromOperatingActivitiesBeforeIncomeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_ProceedsToAcquireFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" xlink:to="label_fimbank_fimbankProceedsToAcquireFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_PaymentsToAcquireSharesInSubsidiaryCompaniesClassifiedAsInvestingActivities" xlink:to="label_fimbank_fimbankPaymentsToAcquireSharesInSubsidiaryCompaniesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:to="label_fimbank_fimbankProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:to="label_fimbank_fimbankProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_IncreaseDecreaseInCashAndCashEquivalentsCF" xlink:to="label_fimbank_fimbankIncreaseDecreaseInCashAndCashEquivalentsCF_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_IncreaseDecreaseInCashAndCashEquivalentsBF" xlink:to="label_fimbank_fimbankIncreaseDecreaseInCashAndCashEquivalentsBF_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbank_NetMovementsInDebtSecurities" xlink:to="label_fimbank_fimbankNetMovementsInDebtSecurities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_fimbank_fimbankReserveForGeneralBankingRisks_Standard" id="fimbank_fimbankReserveForGeneralBankingRisks_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserve for general banking risks</label>
    <label xlink:label="label_fimbank_fimbankNetGainFromOtherFinancialInstrumentsCarriedAtFairValue_Standard" id="fimbank_fimbankNetGainFromOtherFinancialInstrumentsCarriedAtFairValue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net gain from other financial instruments carried at fair value</label>
    <label xlink:label="label_fimbank_fimbankLossesOnLeaseModifications_Standard" id="fimbank_fimbankLossesOnLeaseModifications_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Losses on lease modifications</label>
    <label xlink:label="label_fimbank_fimbankOperatingIncomeBeforeNetImpairment_Standard" id="fimbank_fimbankOperatingIncomeBeforeNetImpairment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating income before net impairment</label>
    <label xlink:label="label_fimbank_ReserveForGeneralBankingRisksMember" id="fimbank_ReserveForGeneralBankingRisksMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reserve for general banking risks</label>
    <label xlink:label="label_fimbank_FairValueReserveMember" id="fimbank_FairValueReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value reserve</label>
    <label xlink:label="label_fimbank_fimbankTransferBetweenReserves_Standard" id="fimbank_fimbankTransferBetweenReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer between reserves</label>
    <label xlink:label="label_fimbank_fimbankPaymentsToEmployeesAndSuppliers_Standard" id="fimbank_fimbankPaymentsToEmployeesAndSuppliers_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payments to employees and suppliers</label>
    <label xlink:label="label_fimbank_fimbankAdjustmentsForLoansAndAdvancesToCustomersAndBanks_Standard" id="fimbank_fimbankAdjustmentsForLoansAndAdvancesToCustomersAndBanks_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for loans and advances to customers and banks</label>
    <label xlink:label="label_fimbank_fimbankAdjustmentsForAmountsOwedToCustomersAndBanks_Standard" id="fimbank_fimbankAdjustmentsForAmountsOwedToCustomersAndBanks_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for amounts owed to customers and banks </label>
    <label xlink:label="label_fimbank_fimbankNetCashGeneratedFromOperatingActivitiesBeforeIncomeTax_Standard" id="fimbank_fimbankNetCashGeneratedFromOperatingActivitiesBeforeIncomeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash generated from operating activities before income tax</label>
    <label xlink:label="label_fimbank_fimbankProceedsToAcquireFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities_Standard" id="fimbank_fimbankProceedsToAcquireFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds to acquire financial assets at fair value through other comprehensive income classified as investing activities</label>
    <label xlink:label="label_fimbank_fimbankPaymentsToAcquireSharesInSubsidiaryCompaniesClassifiedAsInvestingActivities_Standard" id="fimbank_fimbankPaymentsToAcquireSharesInSubsidiaryCompaniesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payments to acquire shares in subsidiary companies classified as investing activities</label>
    <label xlink:label="label_fimbank_fimbankProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLoss_Standard" id="fimbank_fimbankProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of financial assets at fair value through profit or loss</label>
    <label xlink:label="label_fimbank_fimbankProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome_Standard" id="fimbank_fimbankProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of financial assets at fair value through other comprehensive income</label>
    <label xlink:label="label_fimbank_fimbankIncreaseDecreaseInCashAndCashEquivalentsCF_Standard" id="fimbank_fimbankIncreaseDecreaseInCashAndCashEquivalentsCF_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase/(Decrease) in cash and cash equivalents c/f</label>
    <label xlink:label="label_fimbank_fimbankIncreaseDecreaseInCashAndCashEquivalentsBF_Standard" id="fimbank_fimbankIncreaseDecreaseInCashAndCashEquivalentsBF_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase/(Decrease) in cash and cash equivalents b/f</label>
    <label xlink:label="label_fimbank_fimbankNetMovementsInDebtSecurities_Standard" id="fimbank_fimbankNetMovementsInDebtSecurities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net movements in debt securities</label>
  </labelLink>
</linkbase>